Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class MessagesCalendarFormatProvider

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.MessagesCalendarFormatProvider

All Implemented Interfaces:
  CalendarFormatProvider

    public class MessagesCalendarFormatProvider

extends java.lang.Object
implements CalendarFormatProvider

Version:
  $Id: MessagesCalendarFormatProvider.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`MessagesCalendarFormatProvider()`

Method Summary
`java.lang.String` | `getCalendarDatePattern()`
`java.lang.String` | `getCalendarDatePatternKey()`
`java.lang.String` | `getCalendarDatetimePattern()`
`java.lang.String` | `getCalendarDatetimePatternKey()`
`java.text.DateFormat` | `getDateFormat()`
`java.lang.String` | `getDatePatternKey()`
`java.text.DateFormat` | `getDatetimeFormat()`
`java.lang.String` | `getDatetimePatternKey()`
`protected java.util.Locale` | `getLocale()`
`org.springframework.context.MessageSource` | `getMessages()`
`void` | `setCalendarDatePatternKey(java.lang.String calendarDatePatternKey)`
`void` | `setCalendarDatetimePatternKey(java.lang.String calendarDatetimePatternKey)`
`void` | `setDatePatternKey(java.lang.String datePatternKey)`
`void` | `setDatetimePatternKey(java.lang.String datetimePatternKey)`
`void` | `setMessages(org.springframework.context.MessageSource messages)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagesCalendarFormatProvider

    public MessagesCalendarFormatProvider()

Method Detail

### getCalendarDatePattern

    public java.lang.String getCalendarDatePattern()

  Specified by:
    `getCalendarDatePattern` in interface `CalendarFormatProvider`

### getCalendarDatetimePattern

    public java.lang.String getCalendarDatetimePattern()

  Specified by:
    `getCalendarDatetimePattern` in interface `CalendarFormatProvider`

### getDateFormat

    public java.text.DateFormat getDateFormat()

  Specified by:
    `getDateFormat` in interface `CalendarFormatProvider`

### getDatetimeFormat

    public java.text.DateFormat getDatetimeFormat()

  Specified by:
    `getDatetimeFormat` in interface `CalendarFormatProvider`

### getCalendarDatePatternKey

    public java.lang.String getCalendarDatePatternKey()

### setCalendarDatePatternKey

    public void setCalendarDatePatternKey(java.lang.String calendarDatePatternKey)

### getCalendarDatetimePatternKey

    public java.lang.String getCalendarDatetimePatternKey()

### setCalendarDatetimePatternKey

    public void setCalendarDatetimePatternKey(java.lang.String calendarDatetimePatternKey)

### getDatePatternKey

    public java.lang.String getDatePatternKey()

### setDatePatternKey

    public void setDatePatternKey(java.lang.String datePatternKey)

### getDatetimePatternKey

    public java.lang.String getDatetimePatternKey()

### setDatetimePatternKey

    public void setDatetimePatternKey(java.lang.String datetimePatternKey)

### getMessages

    public org.springframework.context.MessageSource getMessages()

### setMessages

    public void setMessages(org.springframework.context.MessageSource messages)

### getLocale

    protected java.util.Locale getLocale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.